org.keycloak.broker.saml

## Class SAMLEndpoint.PostBinding

- java.lang.Object
- - org.keycloak.broker.saml.SAMLEndpoint.Binding
  - - org.keycloak.broker.saml.SAMLEndpoint.PostBinding

- Enclosing class:
    SAMLEndpoint

      protected class SAMLEndpoint.PostBinding
      extends SAMLEndpoint.Binding

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SAMLEndpoint.PostBinding()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder` | `extractRequestDocument(String samlRequest)`
    `protected org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder` | `extractResponseDocument(String response)`
    `protected String` | `getBindingType()`
    `protected void` | `verifySignature(org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder documentHolder)`

    - ### Methods inherited from class org.keycloak.broker.saml.SAMLEndpoint.Binding

      `basicChecks, decryptAssertion, execute, getIDPKey, handleLoginResponse, handleLogoutResponse, handleSamlRequest, handleSamlResponse, logoutRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLEndpoint.PostBinding

          protected SAMLEndpoint.PostBinding()

  - ### Method Detail

    - #### verifySignature

          protected void verifySignature(org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder documentHolder)
                                  throws VerificationException

      Specified by:
        `verifySignature` in class `SAMLEndpoint.Binding`
      Throws:
        `VerificationException`

    - #### extractRequestDocument

          protected org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder extractRequestDocument(String samlRequest)

      Specified by:
        `extractRequestDocument` in class `SAMLEndpoint.Binding`

    - #### extractResponseDocument

          protected org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder extractResponseDocument(String response)

      Specified by:
        `extractResponseDocument` in class `SAMLEndpoint.Binding`

    - #### getBindingType

          protected String getBindingType()

      Specified by:
        `getBindingType` in class `SAMLEndpoint.Binding`

Copyright © 2015. All rights reserved.